QwtRect(3)

NAME
QwtRect -

SYNOPSIS

Detailed Description

Some extensions for QRect.

Definition at line 23 of file qwt_rect.h.

  Public Member Functions
QwtRect ()
QwtRect (const QRect &r)
QRect cutTop (int h, int distTop=0, int distBottom=0)
QRect cutBottom (int h, int distTop=0, int distBottom=0)
QRect cutLeft (int w, int distLeft=0, int distRight=0)
QRect cutRight (int w, int distLeft=0, int distRight=0)
const QwtRect & cutMargin (int mLeft, int mRight, int Top, int mBottom)
QPointArray clip (const QPointArray &) const

Constructor & Destructor Documentation

  QwtRect::QwtRect ()

Constructor.

Definition at line 15 of file qwt_rect.cpp.

  QwtRect::QwtRect (const QRect & r)

Copy constructor.

Definition at line 21 of file qwt_rect.cpp.

Member Function Documentation

  QPointArray QwtRect::clip (const QPointArray &) const

Sutherland-Hodgman polygon clipping.

Definition at line 88 of file qwt_rect.cpp.

Referenced by QwtPainter::clip().

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.